//
//  SFAdditions.m
//  Image Filterizer
//
//  Created by soulstorm on 11/6/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "SFAdditions.h"

@implementation NSImage (SFAdditions)


+(NSImage *) imageFromCIImage:(CIImage *)ciImage
{
	NSImage *image = [[[NSImage alloc] initWithSize:NSMakeSize([ciImage extent].size.width, [ciImage extent].size.height)] autorelease];
	
	[image addRepresentation:[NSCIImageRep imageRepWithCIImage:ciImage]];
	
	return image;
}

- (NSBitmapImageRep *)bitmap
{
	NSSize imgSize = [self size];
	NSBitmapImageRep* bitmap = [NSBitmapImageRep alloc];
	
	[self lockFocus];
	[bitmap initWithFocusedViewRect:NSMakeRect(0.0, 0.0, imgSize.width, imgSize.height)]; 
	[self unlockFocus];
	
	return bitmap;
}

- (CIImage *)CIImage
{
	return [[CIImage alloc] initWithBitmapImageRep:[self bitmap]];
}
@end
